stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Nix

Description

Run commands in a nix-shell

Synopsis

- reexecWithOptionalShell :: (StackM env m, HasConfig env) => Maybe (Path Abs Dir) -> IO CompilerVersion -> IO () -> m ()
- nixCmdName :: String
- nixHelpOptName :: String

# Documentation

reexecWithOptionalShell :: (StackM env m, HasConfig env) => Maybe (Path Abs Dir) -> IO CompilerVersion -> IO () -> m () #

If Nix is enabled, re-runs the currently running OS command in a Nix container. Otherwise, runs the inner action.

nixCmdName :: String #

Command-line argument for "nix"

nixHelpOptName :: String #